Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.core
Class CoreLockManager

    java.lang.Object
      oracle.ifs.fdk.impl.LockManagerImpl
          oracle.ifs.fdk.impl.ExtendedLockManagerImpl
              oracle.ifs.fdk.core.CoreLockManager

All Implemented Interfaces:
  java.rmi.Remote, ExtendedLockManager, LockManager

Direct Known Subclasses:
  CoreExtendedLockManager

    public abstract class CoreLockManager

extends ExtendedLockManagerImpl

Implementation of the LockManager interface.

See Also:
  `LockManager`

Constructor Summary
`CoreLockManager()` Constructor.
`CoreLockManager(FdkSession session)`

Method Summary
`Item[]` | `acquireManualLocks(long[] ids, NamedValueSet[] attributes)` Acquires manual locks on the given Items.
`protected FdkSessionImpl` | `getConnectedSession()` Return the web service session.
`protected boolean` | `isWebServiceCall()` Returns `true` if the current call was made from a web services client.
`Item[]` | `listLockedDocuments(int[] locks, NamedValue[] options, AttributeRequest[] attributes)` Returns a list of Documents locked by a user.
`protected NamedValue[]` | `login(FdkCredential c, NamedValue[] options, AttributeRequest[] userAttributes)` Internal login method used by web services login managers.
`void` | `referenceTypes(TypeReference ref)` Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.
`void` | `releaseManualLocks(long[] ids)` Releases manual locks on the given Items.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.ifs.fdk.ExtendedLockManager
`acquireDavLock, acquireNullOrDavLock, refreshDavLock, releaseDavLock, releaseNullResourceLock`

Constructor Detail

### CoreLockManager

    public CoreLockManager()

  Constructor.

### CoreLockManager

    public CoreLockManager(FdkSession session)

Method Detail

### acquireManualLocks

    public Item[] acquireManualLocks(long[] ids,
                                     NamedValueSet[] attributes)
                              throws FdkException

  Description copied from interface: `LockManager`
  Acquires manual locks on the given Items.

  Parameters:
    `ids` - the IDs of the Items to lock.
    `attributes` - optional attributes.
  Returns:
    Item[] the LockEntry items that was created as an array in the order of the requested ID's
  Throws:
    `FdkException` - if the operation fails.

### releaseManualLocks

    public void releaseManualLocks(long[] ids)
                            throws FdkException

  Description copied from interface: `LockManager`
  Releases manual locks on the given Items. Does not affect other locks.

  Parameters:
    `ids` - the IDs of the Items to unlock.
  Throws:
    `FdkException` - if the operation fails.

### listLockedDocuments

    public Item[] listLockedDocuments(int[] locks,
                                      NamedValue[] options,
                                      AttributeRequest[] attributes)
                               throws FdkException

  Description copied from interface: `LockManager`
  Returns a list of Documents locked by a user. This can be used to query various user related locks. Example - To get the list of documents checked out by a user query for the documents on which the user has a checkout lock.

  Parameters:
    `locks` - The types of locks to search for. Valid values are
    - FdkConstants.LOCKTYPE_CHECKOUT
    - FdkConstants.LOCKTYPE_FINALIZED
    - FdkConstants.LOCKTYPE_MANUAL
    - FdkConstants.LOCKTYPE_WORKFLOW
    - FdkConstants.LOCKTYPE_RECORD
    - FdkConstants.LOCKTYPE_HASRECORD
    - FdkConstants.LOCKTYPE_FREEZE
    - FdkConstants.LOCKTYPE_LIFECYCLE
    - FdkConstants.LOCKTYPE_RETENTION
    - FdkConstants.LOCKTYPE_NAMEDFREEZE
    - FdkConstants.LOCKTYPE_CUSTOM
    `options` - Optional restrictions/sort options. Valid Attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.CREATED_BY, Long}
    - {Options.RESOLVE_OBJECTS, Boolean}
    - {Options.START_DATE, Date}
    - {Options.END_DATE, Date}
    - {Options.PRIMARY_SORT_ATTRIBUTE, String}
    - {Options.PRIMARY_SORT_DIRECTION, Boolean}
    - {Options.SECONDARY_SORT_ATTRIBUTE, String}
    - {Options.SECONDARY_SORT_DIRECTION, Boolean}
    Some of the supported attributes for sorting are
    - ID
    - OWNER
    - START_DATE
    - END_DATE
    Any valid attribute on the `LockEntry` may be specified for sorting. If an attribute name is specified with no direction, ascending is the default. Attribute names must be valid attributes in `Attributes`
    `attributes` - Attributes to be populated on the returned LOCK items
  Returns:
    The list of documents
  Throws:
    `FdkException` - If the operation fails

### isWebServiceCall

    protected final boolean isWebServiceCall()

  Returns `true` if the current call was made from a web services client. This check can be made by any subclasses in order to determine functionality and restrictions based on the originating call. This feature should be used lightly and only where really necessary as this is not an idea way of implementing business logic.

### referenceTypes

    public void referenceTypes(TypeReference ref)

  Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

### login

    protected final NamedValue[] login(FdkCredential c,
                                       NamedValue[] options,
                                       AttributeRequest[] userAttributes)
                                throws FdkException

  Internal login method used by web services login managers.

  Throws:
    `FdkException`

### getConnectedSession

    protected final FdkSessionImpl getConnectedSession()
                                                throws FdkException

  Return the web service session. The return value is guaranteed to be non-null and to represent a connected session. If the client is not authenticated an FdkException is thrown.

  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD